The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

php 4.3.10

Discussion in 'General Discussion' started by flash7, Dec 20, 2004.

  1. flash7

    flash7 Well-Known Member

    Joined:
    Feb 16, 2004
    Messages:
    203
    Likes Received:
    0
    Trophy Points:
    16
    Hello everybody :)

    after update to this version (4.3.10) vbulletin say:

    Code:
    Database error in vBulletin 3.0.3:
    
    Invalid SQL: 
    SELECT 
    userfield.*, usertextfield.*, user.*, UNIX_TIMESTAMP(passworddate) AS passworddate,
    IF(displaygroupid=0, user.usergroupid, displaygroupid) AS displaygroupid,
    language.phrasegroup_Array AS phrasegroup_Array,
    language.phrasegroup_Array AS phrasegroup_Array,
    language.options AS lang_options,
    language.languagecode AS lang_code,
    language.charset AS lang_charset,
    language.locale AS lang_locale,
    language.imagesoverride AS lang_imagesoverride,
    language.dateoverride AS lang_dateoverride,
    language.timeoverride AS lang_timeoverride,
    language.registereddateoverride AS lang_registereddateoverride,
    language.calformat1override AS lang_calformat1override,
    language.calformat2override AS lang_calformat2override,
    language.logdateoverride AS lang_logdateoverride,
    language.decimalsep AS lang_decimalsep,
    language.thousandsep AS lang_thousandsep
    FROM user AS user
    LEFT JOIN userfield AS userfield ON (user.userid = userfield.userid)
    LEFT JOIN usertextfield AS usertextfield ON (usertextfield.userid = user.userid) INNER JOIN language AS language ON (language.languageid = IF(user.languageid = 0, 2, user.languageid)) 
    WHERE user.userid = 3
    
    mysql error: Unknown column 'language.phrasegroup_Array' in 'field list'
    
    mysql error number: 1054
    
    Date: Monday 20th of December 2004 04:08:30 PM
    
    what is wrong PHP or vbulletin? :D

    thanx
     
  2. kaesar

    kaesar Member

    Joined:
    Sep 4, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    The first of all , Restart Mysql and restart apache.

    i´ve tested vbulletin 2.2.x with php 4.3.10 and runs ok.


    In the forums of vbulletin you could find more info. But i suppose VB 3 runs ok on php 4.3.10
     
  3. damainman

    damainman Well-Known Member

    Joined:
    Nov 13, 2003
    Messages:
    515
    Likes Received:
    0
    Trophy Points:
    16
    Let us know your results.
     
  4. flash7

    flash7 Well-Known Member

    Joined:
    Feb 16, 2004
    Messages:
    203
    Likes Received:
    0
    Trophy Points:
    16
    Hi kaesar,
    I have restart apache && mysql many times but the problem persist with vBulletin 3.0.3.

    we swiched back to 4.3.9 and now ALL work great.

    - buildapache version 9.9.8s
    - WHM 9.9.9 cPanel 9.9.9-S15

    WHAT the story??
     
  5. Blue|Fusion

    Blue|Fusion Well-Known Member

    Joined:
    Sep 12, 2004
    Messages:
    378
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Cleveland, Ohio
    Do the following steps in order and then try vB again.

    1) /scripts/updatenow
    2) /scripts/installzendopt
    3) In WHM: Run Update Apache with PHP 4.3.10

    This will install Zend Optimizer 2.5.7 which fixes these PHP problems.
     
  6. flash7

    flash7 Well-Known Member

    Joined:
    Feb 16, 2004
    Messages:
    203
    Likes Received:
    0
    Trophy Points:
    16
    Thank you :)
     
  7. flash7

    flash7 Well-Known Member

    Joined:
    Feb 16, 2004
    Messages:
    203
    Likes Received:
    0
    Trophy Points:
    16
    ALL DONE!

    php 4.3.10 work great now :D
     
  8. Blue|Fusion

    Blue|Fusion Well-Known Member

    Joined:
    Sep 12, 2004
    Messages:
    378
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Cleveland, Ohio
    Glad to hear it. :D
     
Loading...

Share This Page